curl --request GET \
--url https://marketplace-api.fabric.inc/v1/brands/{brand_id}/connections/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://marketplace-api.fabric.inc/v1/brands/{brand_id}/connections/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://marketplace-api.fabric.inc/v1/brands/{brand_id}/connections/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1000,
"brand": {
"code": "demo-brand",
"id": 500,
"name": "Marla Cielo",
"joined_at": "2022-09-10T15:24:56Z",
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
"website": null,
"is_onboarded": false,
"is_on_rcn": false,
"requires_subscription": "enabled",
"subscription_expires_at": "2024-09-19T13:32:10Z",
"grace_period_ends_at": "2024-10-26T13:32:10Z",
"subscription_is_expired": false,
"subscription_is_on_grace_period": false,
"subscription_is_delinquent": false,
"inventory_policy": "managed",
"status": "active"
},
"retailer": {
"name": "Demo Retailer",
"code": "demo-retailer",
"id": 500,
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
"joined_at": "2021-08-03T17:24:12Z",
"is_rcn_retailer": false,
"is_onboarded": false,
"platform": "fabric",
"requires_subscription": "disabled",
"brand_permit_creation_allowed": false,
"website": "https://demoabc.com",
"status": "active"
},
"level": "full",
"status": "active",
"suspended_at": null,
"created_at": "2022-06-22T06:56:16Z",
"updated_at": "2022-08-08T15:48:05Z",
"shipping_accounts": [
{
"nickname": "Sample13",
"id": 1,
"owner": "DemoABC",
"carrier": "ALP Brand",
"shipping_methods": {
"name": "White Glove Bronze",
"code": "cory_white_glove",
"id": 5,
"type": "ltl (less than truck load)",
"carrier": {
"id": 229,
"name": "Cory Companies",
"code": "CJCD"
},
"generic_shipping_method": {
"name": "LTL",
"description": "Less than truckload (LTL)",
"id": 5,
"type": "ltl"
}
}
}
],
"options": {
"name": "Sample Option",
"code": "Sample_Option",
"id": 8753,
"description": "Sample description for connection",
"viewable_by": "All",
"editable_by": "Staff"
},
"attachments": [
{
"id": 268,
"content_type": 1,
"object_id": 666,
"file": "Sample file",
"uploaded_by": 646,
"visible_by": "connections",
"original_filename": "Sample1",
"filename": "Sample1",
"tags": [
{
"tag": "demotag",
"id": 432
}
],
"url": "https://assets.sample.com/attachments/path_to_attachment/attachment.pdf"
}
],
"approved_items_count": 1,
"orders_last_7_days_count": 0,
"proposals_received_last_7_days_count": 4,
"contacts": [
{
"name": "sample contact",
"email": "demo@xyz.com",
"id": 1010,
"phone": "9765314368",
"description": "Call",
"created_at": "2021-09-10T15:24:56Z"
}
],
"memos": [
{
"id": 1234,
"text": "Immediate requirement",
"visibility": "any",
"acknowledged_at": "2022-01-10T15:24:56Z",
"notify_people": true,
"created_by": {
"id": 542,
"first_name": "Sample",
"last_name": "Demo",
"title": "Demo",
"status": "Active",
"type": "standard",
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
"is_me": true
},
"created_by_context": "retailer",
"created_at": "2021-09-10T15:24:56Z",
"updated_at": "2022-09-10T15:24:56Z"
}
],
"referral": {
"id": 125,
"referrer": {
"code": "retailer_abc",
"name": "Retailer ABC",
"id": 675
},
"referee": {
"code": "retailer_abc",
"name": "Retailer ABC",
"id": 675
},
"is_brand_first_connection": "false\"",
"is_retailer_first_connection": true
},
"integration_type": "console",
"onboarding_status": "pending",
"retailer_identifier": null,
"onboarding_target_date": null,
"onboarded_at": "2021-09-10T15:24:56Z",
"onboarding_steps": "Setting the default fulfillment locations is pending."
}Get supplier connection by ID
Retrieve a specific connection’s details by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique brand ID. In the Dropship UI this is called the Supplier ID. To find your Supplier ID, click your supplier name in the top nav.
The connection ID used to retrieve a specific connection. This ID is generated when a connection is sent. Use the /v1/brands/{brand_id}/connections/ endpoint to retrieve a list of connections and their IDs.
2002
Response
Connection invite details
Connection ID
1000
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Connection level
basic, full "full"
Connection status
active, suspended, pending, onboarding "active"
Time of when connection got suspended (UTC format)
null
Time of connection creation (UTC format)
"2022-06-22T06:56:16Z"
Time of connection update (UTC format)
"2022-08-08T15:48:05Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Count of approved items
1
Count of orders in the last 7 days
0
Count of proposals received in the last 7 days
4
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Integration type
console, edi, api, storefront, console-print-labels, console-register-tracking-numbers, shopify, bigcommerce, shipstation "console"
Status of onboarding
pending, complete "pending"
Retailer ID
32null
Target date of retailer onboarding (UTC format)
null
Time of retailer onboarding (UTC format)
"2021-09-10T15:24:56Z"
The current stage of the onboarding process.
"Setting the default fulfillment locations is pending."
Was this page helpful?
